#!/usr/bin/python3
import time
from libedaio import EdaIo,registerInput,registerTrigger,registerTune
import sys

def func_input(v):
    print("[Debug] Trigger: input!", v)

def func_trigger(v):
    print("[Debug] Trigger: trigger button!", v)

def func_tune(v):
    print("[Debug] Trigger: tune button!", v)

def func_hardware():
    print("[Debug] Trigger: Hardware!")

def main() -> int:
    eda = EdaIo.singleton();
    registerInput(func_input)
    registerTrigger(func_trigger)
    registerTune(func_tune)
    eda.setup()
    eda.setWorkMode(2)
    while True:
        a = input("Set [0~4]: ")
        if a == "0":
            eda.setRgbLight(0)
        elif a == "1":
            eda.setRgbLight(1)
        elif a == "2":
            eda.setRgbLight(2)
        elif a == "3":
            eda.setRgbLight(3)
        else:
            break
    return 0;

if __name__ == "__main__":
    sys.exit(main())